#! /usr/bin/perl
use CGI qw(:all);
use strict;

my @hosts=`cat /etc/css/hostlist.txt`;
my @locales=`cat /etc/css/locales.txt`;

print header;
print start_html;
print qq|<form action="/cgi-bin/css.pl" method="post">|;
print qq|<select name="host" multiple size="10">|;

foreach my $host (@hosts) {
	chomp $host;
	print qq|<option>$host</option>\n|;
	}
print qq|</select>|;

foreach my $locale (@locales) {
	chomp $locale;
	print qq|<input type="hidden" name="locale" value="$locale"></input>\n|;
	}

print qq|<br><br>|;
print qq|<input type="radio" name="change" value="suspend">Suspend Selected Servers</input>|;
print qq|<br><br>|;
print qq|<input type="radio" name="change" value="doall">Activate Selected Servers</input>|;
print qq|<br><br>|;
print qq|"Locking" a server will cause it not to be affected by suspend/activate.  We want this, for instance, in the case of a server in a test environment, or a server which is "down" for some long-term reason.<br>|;
print qq|<input type="radio" name="lock" value="lock">Lock Server</input><br>|;
print qq|<input type="radio" name="lock" value="open">Unlock Server</input><br>|;
print qq|<br>|;
print qq|Enter a short comment below when suspending a server:<br>|;
print qq|<input type="textarea" name="comments" width="150" height="120"></input>|;
print qq|<br><br>|;
print qq|<input type="submit" name="submit" value=">>NEXT>>"></input>|;
print qq|</form>|;
